<?php
function piwecard_db_create($table) {
	$query = 'CREATE TABLE ' . $table . ' (
						id CHAR(64) NOT NULL,
						sender_name CHAR(100) NOT NULL,
						sender_email CHAR(100) NOT NULL,
						recipient_name CHAR(100) NOT NULL,
						recipient_email CHAR(100) NOT NULL,
						title CHAR(100) NOT NULL,
						message TEXT NOT NULL,
						image MEDIUMINT(8) NOT NULL,
						date_creation DATETIME NOT NULL,
						date_validity DATETIME DEFAULT NULL,
						PRIMARY KEY (id)
					) DEFAULT CHARSET=utf8;';
	pwg_query($query);
}

function piwecard_db_delete($table) {
	$query = 'DROP TABLE ' . $table . ';';
    pwg_query($query);
}

function piwecard_db_populate($old_table, $new_table) {
	$query = 'SELECT * FROM '.$old_table.';';
	$result = pwg_query($query);
	
	while($data = pwg_db_fetch_assoc($result)) {
		$insert = array(
					'id' => $data['numero'],
					'sender_name' => $data['nomexp'],
					'sender_email' => $data['adrexp'],
					'recipient_name' => $data['nomdest'],
					'recipient_email' => $data['adrdest'],
					'title' => $data['sujet'],
					'message' => $data['message'],
					'image' => $data['image'],
					'date_creation' => $data['date'],
		);
		if ($data['duration'] != '0') {
			$date = new DateTime($data['date']);
			$date->modify("+".$data['duration']." day");
			$insert['date_validity'] = $date->format('Y-m-d H:i:s');
		}
		
		single_insert($new_table, $insert);
	}
}

function piwecard_conf_create($name) {
	$query = 'INSERT INTO '.CONFIG_TABLE.' (param,value,comment) VALUES (."'.$name.'","","'.ucfirst($name).' configuration");';
    pwg_query($query);
}

function piwecard_conf_delete($name){
	$query = 'DELETE FROM '.CONFIG_TABLE.' WHERE param="'.$name.'";';
    pwg_query($query);
}

function piwecard_conf_rename($old_name, $new_name){
	$query = 'UPDATE '.CONFIG_TABLE.' SET param="'.$new_name.'" WHERE param="'.$old_name.'";';
    pwg_query($query);
}
?>